OAICreateParameters
Date: 2012-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.contentmanager.oaiplugin.types
Class OAICreateParameters

    java.lang.Object
      org.gcube.contentmanagement.contentmanager.oaiplugin.types.OAICreateParameters

Direct Known Subclasses:
  OAICreateParametersBySets, OAICreateParametersRepository

    public abstract class OAICreateParameters

extends java.lang.Object

Author:
  Lucio Lelii (CNR)

Method Summary
`java.lang.String[]` | `getAlternativesXpath()`
`java.lang.String` | `getBaseUrl()`
`java.lang.String` | `getContentXPath()`
`java.lang.String` | `getDefaultMdFormat()`
`java.lang.String[]` | `getListMetadataFormat()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getRecordTitleXPath()`
`java.lang.String` | `getRepositoryName()`
`void` | `setAlternativesXpath(java.lang.String... alternativesXpath)`
`void` | `setBaseUrl(java.lang.String baseUrl)`
`void` | `setContentXPath(java.lang.String contentTag)`
`void` | `setDefaultMdFormat(java.lang.String defaultMdFormat)`
`void` | `setListMetadataFormat(java.lang.String[] listMetadataFormat)`
`void` | `setPrefix(java.lang.String prefix)`
`void` | `setRecordTitleXPath(java.lang.String recordTitleXPath)`
`void` | `setRepositoryName(java.lang.String repositoryName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRecordTitleXPath

    public java.lang.String getRecordTitleXPath()

### setRecordTitleXPath

    public void setRecordTitleXPath(java.lang.String recordTitleXPath)

### getListMetadataFormat

    public java.lang.String[] getListMetadataFormat()

### setListMetadataFormat

    public void setListMetadataFormat(java.lang.String[] listMetadataFormat)

### getBaseUrl

    public java.lang.String getBaseUrl()

### setBaseUrl

    public void setBaseUrl(java.lang.String baseUrl)

### getContentXPath

    public java.lang.String getContentXPath()

### setContentXPath

    public void setContentXPath(java.lang.String contentTag)

### getDefaultMdFormat

    public java.lang.String getDefaultMdFormat()

### setDefaultMdFormat

    public void setDefaultMdFormat(java.lang.String defaultMdFormat)

### setAlternativesXpath

    public void setAlternativesXpath(java.lang.String... alternativesXpath)

### getAlternativesXpath

    public java.lang.String[] getAlternativesXpath()

### getRepositoryName

    public java.lang.String getRepositoryName()

### setRepositoryName

    public void setRepositoryName(java.lang.String repositoryName)

### getPrefix

    public java.lang.String getPrefix()

### setPrefix

    public void setPrefix(java.lang.String prefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD